package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

/**
 * 班次班段类型
 */
public enum ClassSegmentTypeEnum implements BaseEnum {
    WORK_TIME("0","工作时段"),
    REST_AND_DINE("1","休息就餐"),
    EXTENDED_OVERTIME("2","延长加班"),
    EARLY_OVERTIME("3","早到加班"),
    REST_PERIOD("4","休息时段"),
    DINING_PERIOD("5","就餐时段"),
    OVERTIME_IN_CLASS("6","班内加班"),
    OVERTIME_PLAN("7","加班计划"),
    ASK_FOR_LEAVE("8","请假假期"),
    EVECTION("9","外出出差");

    private String key;
    private String value;

    ClassSegmentTypeEnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
